
TYPO3.Flow - Bug # 39969

Status: Rejected Priority: Must have
Author: Pablo Delgado Category: Http
Created: 2012-08-19 Assigned To: Pablo Delgado
Updated: 2012-08-20 Due date:
PHP Version: 5.3
Has patch: No
Complexity: no-brainer
Affected Flow version: Git 1.2 (master)
Subject: Call to undefined method on Cookie from Response
Description

When the response headers are sent you get an 'call to undefined method getExpiresTime' error.  The problem is in the
Response.php on line 508. Its a simple fix either we change the 3rd parameter to $cookie->getExpires() or we hard an alias method
to Cookie called Cookie::getExpiresTime().

I think for consistence we use the first option.

FILE: TYPO3.FLOW/Classes/Http/Resposne.php

491     /**
492      * Sends the HTTP headers.
493      *
494      * If headers have been sent previously, this method fails silently.
495      *
496      * @return void
497      * @codeCoverageIgnore
498      * @api
499      */
500     public function sendHeaders() {
501         if (headers_sent() === TRUE) {
502             return;
503         }
504         foreach ($this->renderHeaders() as $header) {
505             header($header);
506         }
507         foreach ($this->headers->getCookies() as $cookie) {
508             setcookie($cookie->getName(), $cookie->getValue(), $cookie->getExpiresTime(), $cookie->getPath(),
$cookie->getDomain(), $cookie->isSecure(), $cookie->isHttpOnly(    )); 
509         }
510     }

History
#1 - 2012-08-19 17:04 - Pablo Delgado
- Assigned To set to Pablo Delgado

Error please ignore this ticket. I was looking at the wrong branch.
#2 - 2012-08-20 17:31 - Christian Müller
- Status changed from New to Rejected

#3 - 2012-08-20 17:32 - Christian Müller

On Request of Pablo it was dropped.
